Bug 217033 - last character missed when selecting from table.
Summary: last character missed when selecting from table.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: php   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-23 10:22 UTC by hossein
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 5.1.6-3.3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 17:42:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contain that script (359 bytes, application/x-php)
2006-11-23 10:22 UTC, hossein
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 38976 None None None Never

Description hossein 2006-11-23 10:22:58 UTC
Description of problem:


Version-Release number of selected component (if applicable):
php.5.1.6

How reproducible:
php script.php


Steps to Reproduce:
1. mcedit script.php
2. copy-paste lines of below

<?php

$db_location = "table.sqlite";

$db = new PDO("sqlite:{$db_location}");

$db->query("create table my_table (name text);");

$query = $db->query("delete from my_table;");

$query = $db->query("insert into  my_table (name) values ('123');");

$query = $db->query("select name from my_table;");

while ($row = $query->fetch())
{
     print_r($row);
}

?>




3. run script : php script.php
  
Actual results:
Array
(
    [name] => 123
    [0] => 123
)

Expected results:
Array
(
    [name] => 12
    [0] => 12
)

Additional info:
last character is missed.

Comment 1 hossein 2006-11-23 10:22:58 UTC
Created attachment 141982 [details]
contain that script

Comment 2 Joe Orton 2006-11-23 13:09:12 UTC
Thanks for the report.

Comment 3 Joe Orton 2006-11-27 16:34:57 UTC
php-5.1.6-3.2.fc6 has been pushed to FC6 updates-testing, which should contain
the fix for this bug.  You can test the new packages by running:

  # yum --enablerepo=updates-testing update php



Comment 4 hossein 2006-12-03 10:21:09 UTC
thanks, it is contain the fix for this bug.


Note You need to log in before you can comment on or make changes to this bug.